Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticInternalFrameUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.InternalFrameUI
              javax.swing.plaf.basic.BasicInternalFrameUI
                  com.jgoodies.looks.plastic.PlasticInternalFrameUI

public final class PlasticInternalFrameUI
extends BasicInternalFrameUI

The JGoodies Plastic Look and Feel implementation of `InternalFrameUI`.

Uses a `PlasticInternalFrameTitlePane` that in turn uses `PlasticTheme` colors.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicInternalFrameUI
`BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

Field Summary
`static String` | `IS_PALETTE`

Fields inherited from class javax.swing.plaf.basic.BasicInternalFrameUI
`borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, westPane`

Constructor Summary
`PlasticInternalFrameUI(JInternalFrame b)`

Method Summary
`protected JComponent` | `createNorthPane(JInternalFrame w)`
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `installDefaults()`
`protected void` | `installKeyboardActions()`
`void` | `installUI(JComponent c)`
`void` | `setPalette(boolean isPalette)`
`protected void` | `uninstallKeyboardActions()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicInternalFrameUI
`activateFrame, closeFrame, createBorderListener, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installListeners, installMouseHandlers, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallComponents, uninstallDefaults, uninstallListeners`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IS_PALETTE

    public static final String IS_PALETTE

See Also:
  Constant Field Values

Constructor Detail

### PlasticInternalFrameUI

    public PlasticInternalFrameUI(JInternalFrame b)

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

### uninstallUI

    public void uninstallUI(JComponent c)

### installDefaults

    protected void installDefaults()

### installKeyboardActions

    protected void installKeyboardActions()

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

### createNorthPane

    protected JComponent createNorthPane(JInternalFrame w)

### setPalette

    public void setPalette(boolean isPalette)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.